package cn.com.qmth.examcloud.core.oe.admin.base;

/**
 * 系统常量
 *
 * @author: QMTH
 * @since: 2018/8/17
 */
public interface Constants {

    int TIME_OUT_7_DAY = 60 * 60 * 24 * 7;

    /**
     * 系统错误
     */
    String OE_CODE_500 = "OE-000500";

    /**
     * 参数错误
     */
    String OE_CODE_400 = "OE-000400";

    /**
     * 权限错误
     */
    String OE_CODE_403 = "OE-000403";

    /**
     * 原始数据库表
     */
    String OE_EXAM_QUESTION = "oe_exam_question";

    /**
     * 新数据库表
     */
    String EXAM_RECORD_QUESTIONS = "examRecordQuestions";

    String isTrue = "true";

    String isFalse = "false";

    /**
     * 考试成绩通知路径前缀
     */
    String OE_EXAM_SCORE_NOTIFY_URL_PREFIX = "oe.examScoreNotify.url.";

    /**
     * 考试成绩通知路径传输方法前缀
     */
    String OE_EXAM_SCORE_NOTIFY_URL_HTTP_METHOD_PREFIX = "oe.examScoreNotify.url.httpMethod.";

    /**
     * 答案文件最大限制，单位:M
     */
    long ANSWER_FILE_MAX_SIZE = 30;

    /**
     * 1024 * 1024
     */
    long M_SIZE = 1048576;

}
