package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataSyncEntity;

/**
 * @Description 同步
 * @Author lideyin
 * @Date 2019/12/23 18:25
 * @Version 1.0
 */
@Repository
public interface ExamRecordDataSyncRepo extends JpaRepository<ExamRecordDataSyncEntity, Long>, JpaSpecificationExecutor<ExamRecordDataSyncEntity> {
    public ExamRecordDataSyncEntity findByCacheId(Long cacheId);
}