package cn.com.qmth.examcloud.core.oe.admin.dao;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordFileAnswerEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;
import java.util.List;

/**
 * @Description 考试记录文件作答
 * @Author lideyin
 * @Date 2020/7/13 16:19
 * @Version 1.0
 */
@Repository
public interface ExamRecordFileAnswerRepo extends JpaRepository<ExamRecordFileAnswerEntity, Long>, JpaSpecificationExecutor<ExamRecordFileAnswerEntity> {

	List<ExamRecordFileAnswerEntity> findByExamRecordDataId(Long examRecordDataId);

}
