package cn.com.qmth.examcloud.core.oe.admin.dao;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordQuestionsEntity;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.repository.query.QueryByExampleExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author chenken
 * @date 2018年9月3日 上午10:48:39
 * @company QMTH
 * @description ExamRecordQuestionsRepo.java
 */
@Repository
public interface ExamRecordQuestionsRepo extends MongoRepository<ExamRecordQuestionsEntity, String>, QueryByExampleExecutor<ExamRecordQuestionsEntity> {

    ExamRecordQuestionsEntity findByExamRecordDataId(Long examRecordDataId);

    /**
     * 考试记录id集合获取相应的考试记录
     */
    List<ExamRecordQuestionsEntity> findByExamRecordDataIdIn(List<Long> examRecordDataIdList);

}
