package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScoreEntity;

import java.util.List;

/**
 * @author chenken
 * @date 2018/8/15 9:54
 * @company QMTH
 * @description ExamScoreEntityRepo
 */
@Repository
public interface ExamScoreRepo extends JpaRepository<ExamScoreEntity, Long>, JpaSpecificationExecutor<ExamScoreEntity> {

    ExamScoreEntity findFirstByExamRecordDataId(Long examRecordDataId);

    int countByExamRecordDataId(Long examRecordDataId);

    List<ExamScoreEntity> findByExamRecordDataIdIn(List<Long> examRecordDataIds);

    ExamScoreEntity findByExamRecordDataId(Long examRecordDataId);
    
    

}