package cn.com.qmth.examcloud.core.oe.admin.dao;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamStatisticEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExamStatisticRepo extends JpaRepository<ExamStatisticEntity, Long>, JpaSpecificationExecutor<ExamStatisticEntity> {

    List<ExamStatisticEntity> findByExamId(Long examId);

    List<ExamStatisticEntity> findByExamIdAndCourseId(Long examId, Long courseId);

    ExamStatisticEntity findByExamIdAndCourseIdAndOrgId(Long examId, Long courseId, Long orgId);

}
