package cn.com.qmth.examcloud.core.oe.admin.dao;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamSyncCaptureEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

/**
 * @Description 同步抓拍照片
 * @Author lideyin
 * @Date 2019/12/10 14:05
 * @Version 1.0
 */
@Repository
public interface ExamSyncCaptureRepo extends JpaRepository<ExamSyncCaptureEntity, Long>, JpaSpecificationExecutor<ExamSyncCaptureEntity> {
    ExamSyncCaptureEntity findByExamRecordDataId(Long examRecordId);
}
