package cn.com.qmth.examcloud.core.oe.admin.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.OrgScoreHandleEntity;

@Repository
public interface OrgScoreHandleRepo extends JpaRepository<OrgScoreHandleEntity, Long>, JpaSpecificationExecutor<OrgScoreHandleEntity>{
	
	public OrgScoreHandleEntity findByRootOrgId(Long rootOrgId);
	
	@Query(nativeQuery = true, value = "select * from ec_oe_exam_org_score_handle where notify_url is not null")
	public List<OrgScoreHandleEntity> findEnableNotifyItems();
	
}
