package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * @author chenken
 * @date 2018/8/17 14:27
 * @company QMTH
 * @description 抓拍照片处理状态
 */
public enum ExamCaptureQueueStatus {

    /**
     * 待处理
     */
    PENDING("待处理"),
    /**
     * 处理中
     */
    PROCESSING("处理中"),
    /**
     * 人脸比对处理完成
     */
    PROCESS_FACE_COMPARE_COMPLETE("人脸比对处理完成"),
    /**
     * 人脸比对处理失败
     */
    PROCESS_FACE_COMPARE_FAILED("人脸比对处理失败"),
    /**
     * 活体检测处理失败
     */
    PROCESS_FACELIVENESS_FAILED("活体检测处理失败");

    private String desc;

    private ExamCaptureQueueStatus(String desc){
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
