/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 15:58:23
 */

package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 导出任务类型
 */
public enum ExportTaskType {

    EXAM_DETAIL("考试明细"),

    AUDIT("监考已审"),

    SCORE_STATISTIC("成绩明细"),
    
    EXAM_SCHEDULING("考试进度");

    ExportTaskType(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

}