package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 人脸活体验证状态
 */
public enum FaceLiveVerifyStatus {

    SUCCESS("验证成功"),

    ACTION_FAILED("动作有误，验证失败"),

    NOT_ONESELF("不是本人"),

    TIME_OUT("超时未完成"),

    ERROR("验证异常");

    private String description;

    FaceLiveVerifyStatus(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }

}
