package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 文件作答的响应状态
 */
public enum FileAnswerAcknowledgeStatus {
    UNCONFIRMED("UNCONFIRMED", "未确认"),
    CONFIRMED("CONFIRMED", "已确认"),
    DISCARDED("DISCARDED", "已弃用");

    private String code;

    private String desc;

    /**
     * 构造函数
     */
    FileAnswerAcknowledgeStatus(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}