/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 10:50:02.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 阅卷类型
 *
 * @author: QMTH
 * @since: 2018/8/31
 */
public enum MarkingType {
	/**
	 * 全部评阅
	 */
    ALL("全部评阅"),

    /**
     * 客观分最高
     */
    OBJECT_SCORE_MAX("客观分最高"),

    /**
     * 最后一次提交
     */
    LAST_SUBMIT("最后一次提交");

    private String title;

    MarkingType(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

}