/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-27 16:25:43.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examaudit;

/**
 * 实体元数据
 *
 * @author: QMTH
 * @since: 2018/8/24
 */
public class ExamAuditMapper {

    public static final String EXAM_RECORD_DATA_ID = "examRecordDataId";

    public static String defaultColumns() {
        StringBuilder columns = new StringBuilder();
        columns.append("audit.id as id,");
        columns.append("audit.status as status,");
        columns.append("audit.discipline_detail as disciplineDetail,");
        columns.append("audit.discipline_type as disciplineType,");
        columns.append("audit.audit_user_name as auditUserName,");
        columns.append("audit.update_time as paperAuditTime,");
        columns.append("record.exam_type as examType,");
        columns.append("record.exam_id as examId,");
        columns.append("record.exam_student_id as examStudentId,");
        columns.append("record.student_id as studentId,");
        columns.append("record.student_code as studentCode,");
        columns.append("record.student_name as studentName,");
        columns.append("record.identity_number as identityNumber,");
        columns.append("record.course_id as courseId,");
        columns.append("record.org_id as orgId,");
        columns.append("record.id as examRecordDataId,");
        columns.append("record.exam_order as examOrder,");
        columns.append("record.face_total_count as faceTotalCount,");
        columns.append("record.face_success_count as faceSuccessCount,");
        columns.append("record.face_failed_count as faceFailedCount,");
        columns.append("record.face_stranger_count as faceStrangerCount,");
        columns.append("record.face_success_percent as faceSuccessPercent,");
        columns.append("record.face_verify_result as faceVerifyResult,");
        columns.append("record.start_time as paperStartTime,");
        columns.append("record.end_time as paperSubmitTime,");
        columns.append("record.switch_screen_count as switchScreenCount,");
        columns.append("record.exam_stage_id as examStageId,");
        columns.append("GROUP_CONCAT(DISTINCT process.source_ip) ip");
        return columns.toString();
    }

}
