/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:22:55.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @Description 考试记录文件作答
 * @Author lideyin
 * @Date 2020/7/13 17:31
 * @Version 1.0
 */
public class ExamRecordFileAnswerInfo implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = -735354536432038902L;

    private Long id;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 文件路径:离线考试
     */
    private String offlineFileUrl;

    /**
     * 文件名称:离线考试
     */
    private String offlineFileName;

    /**
     * 原始文件名称
     */
    private String originalFileName;

    /**
     * 文件类型
     */
    private String fileType;

    /**
     * 文件后缀名
     */
    private String suffix;

    /**
     * 预留扩展属性
     */
    private String properties;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getOfflineFileUrl() {
        return offlineFileUrl;
    }

    public void setOfflineFileUrl(String offlineFileUrl) {
        this.offlineFileUrl = offlineFileUrl;
    }

    public String getOfflineFileName() {
        return offlineFileName;
    }

    public void setOfflineFileName(String offlineFileName) {
        this.offlineFileName = offlineFileName;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public String getSuffix() {
        return suffix;
    }

    public void setSuffix(String suffix) {
        this.suffix = suffix;
    }

    public String getProperties() {
        return properties;
    }

    public void setProperties(String properties) {
        this.properties = properties;
    }

    public String getOriginalFileName() {
        return originalFileName;
    }

    public void setOriginalFileName(String originalFileName) {
        this.originalFileName = originalFileName;
    }

}
