/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:25:56.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

/**
 * 实体元数据
 *
 * @author: QMTH
 * @since: 2018/8/24
 */
public class ExamStudentMapper {

    public static String statisticOrgColumns() {
        StringBuilder columns = new StringBuilder();
        columns.append("student.org_id as orgId,");
        columns.append("COUNT(student.id) as totalCount,");
        columns.append("SUM(CASE WHEN student.finished = 1 THEN 1 ELSE 0 END) finishedCount");
        return columns.toString();
    }

    public static String statisticFinishedColumns() {
        StringBuilder columns = new StringBuilder();
        columns.append("SUM(CASE WHEN student.finished = 1 THEN 1 ELSE 0 END) finished,");
        columns.append("SUM(CASE WHEN student.finished = 1 THEN 0 ELSE 1 END) unFinished");
        return columns.toString();
    }

}