/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-24 11:23:29.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 考生信息
 *
 * @author: QMTH
 * @since: 2018/8/15
 */
public class ExamStudentPartInfo implements JsonSerializable {

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 学生姓名
     */
    private String studentName;

    /**
     * 身份证号
     */
    private String identityNumber;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

}