package cn.com.qmth.examcloud.core.oe.admin.service.impl;

import cn.com.qmth.examcloud.core.oe.admin.base.utils.Check;
import cn.com.qmth.examcloud.core.oe.admin.dao.ExamRecordDataSyncRepo;
import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataSyncEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.ExamRecordDataSyncService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("examRecordDataSyncServiceImpl")
public class ExamRecordDataSyncServiceImpl implements ExamRecordDataSyncService {

    @Autowired
    private ExamRecordDataSyncRepo examRecordDataSyncRepo;

    @Override
    public Long getExamRecordDataIdByCacheId(Long tempExamRecordDataId) {
        Check.isNull(tempExamRecordDataId, "tempExamRecordDataId不能为空");

        ExamRecordDataSyncEntity e = examRecordDataSyncRepo.findByCacheId(tempExamRecordDataId);
        if (e != null) {
            return e.getDbId();
        }

        return null;
    }

}
