package cn.com.qmth.examcloud.core.oe.admin.api.controller;

import cn.com.qmth.examcloud.web.support.Naked;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "运维接口")
@RestController
@RequestMapping("${$rmp.ctr.oe}")
public class DevOpsController {

    private static final Logger log = LoggerFactory.getLogger(DevOpsController.class);

    @Naked
    @ApiOperation(value = "运维监控检测接口")
    @GetMapping("/devops")
    public Long devops() {
        return System.currentTimeMillis();
    }

}
