package cn.com.qmth.examcloud.core.oe.admin.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamCaptureCameraInfoEntity;

/**
 * @author chenken
 * @date 2018/8/15 10:23
 * @company QMTH
 * @description ExamCaptureEntityRepo
 */
@Repository
public interface ExamCaptureCameraInfoRepo extends JpaRepository<ExamCaptureCameraInfoEntity, Long>, JpaSpecificationExecutor<ExamCaptureCameraInfoEntity> {

	List<ExamCaptureCameraInfoEntity> findByExamRecordDataIdAndVirtualCamera(Long examRecordDataId, boolean b);

	List<ExamCaptureCameraInfoEntity> findByExamRecordDataIdInAndVirtualCamera(List<Long> ids, boolean b);

	List<ExamCaptureCameraInfoEntity> findByExamRecordDataIdAndPidAndVidAndName(Long examRecordDataId, String pid, String vid,
			String name);
	
}
