package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamStudentFinalScoreEntity;

/**
 * @Description 考生最终成绩
 * @Author lideyin
 * @Date 2019/11/7 11:29
 * @Version 1.0
 */
@Repository
public interface ExamStudentFinalScoreRepo extends
        JpaRepository<ExamStudentFinalScoreEntity, Long>, JpaSpecificationExecutor<ExamStudentFinalScoreEntity> {

    ExamStudentFinalScoreEntity findByExamStudentId(Long examStudentId);
}
