package cn.com.qmth.examcloud.core.oe.admin.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.FaceBiopsyItemStepEntity;

import java.util.List;

/**
 * @Description 人脸检测明细仓库
 * @Author lideyin
 * @Date 2019/7/17 18:58
 * @Version 1.0
 */
@Repository
public interface FaceBiopsyItemStepRepo extends JpaRepository<FaceBiopsyItemStepEntity, Long>, JpaSpecificationExecutor<FaceBiopsyItemStepEntity> {
	List<FaceBiopsyItemStepEntity> findByFaceBiopsyItemId(Long faceBiopsyItemId);

}
