package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

/**
 * 
 * @author lideyin
 * @date 2019年3月11日 上午11:49:05
 * @description 考试分数通知队列
 */
@Entity
@Table(name="ec_oe_exam_score_notice_queue")
public class ExamScoreNoticeQueueEntity extends JpaEntity{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -7276572115671284002L;
	/**
	 * 顶级机构id
	 */
	@Id
	private Long rootOrgId;
	
	/**
	 * 失败次数
	 */
	private Long failTimes;

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getFailTimes() {
		return failTimes;
	}

	public void setFailTimes(Long failTimes) {
		this.failTimes = failTimes;
	}
	
	
}
