package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * @Description 已交卷但未作后续处理的考试记录
 * @Author lideyin
 * @Date 2019/8/23 17:10
 * @Version 1.0
 */
@Entity
@Table(name = "ec_oe_hand_in_exam_record", indexes = {
        @Index(name = "IDX_E_O_H_I_E_R_001", columnList = "examRecordDataId")
})
public class HandInExamRecordEntity extends JpaEntity {

    private static final long serialVersionUID = 4101954661852038672L;
    /**
     * 考试记录id
     */
    @Id
    private Long id;

    /**
     * 考试记录dataId
     */
    @Column(nullable = false)
    private Long examRecordDataId;
    /**
     * 学生ID
     */
    @Column(nullable = false)
    private Long studentId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

}