package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 审核状态
 * @author xudengqi
 * 2016年9月1日
 */
public enum AuditStatus {
    /**
     * 通过
     */
    PASS("通过"),
    /**
     * 不通过
     */
    UN_PASS("不通过");

    private String name;

    AuditStatus(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static String getTitle(String name) {
        for (AuditStatus status : values()) {
            if (status.name().equals(name)) {
                return status.getName();
            }
        }
        return UN_PASS.getName();
    }

}