package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * @author chenken
 * @date 2018/8/17 14:27
 * @company QMTH
 * @description 分数队列处理状态
 */
public enum ExamScoreQueueStatus {

    /**
     * 待处理
     */
    PENDING("待处理"),
    /**
     * 处理失败
     */
    PROCESS_FAILED("处理失败"),
    /**
     * 处理成功
     */
    PROCESS_SUCCESS("处理成功");

    private String desc;

    private ExamScoreQueueStatus(String desc){
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
