/*
 * Copyright (c) 2020 QMTH All Rights Reserved.
 * Created by Deason on 2020-08-12 16:15:54
 */

package cn.com.qmth.examcloud.core.oe.admin.dao.enums;

/**
 * 导出任务类型状态
 */
public enum ExportTaskStatus {
	
	WAITING("等待处理"),

    EXPORTING("导出中"),

    SUCCESS("成功"),

    ERROR("失败"),
    
    TERMINATING("终止中"),
    
    TERMINATE("已终止"),
    ;

    ExportTaskStatus(String desc) {
        this.desc = desc;
    }

    private String desc;

    public String getDesc() {
        return desc;
    }

}