package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.support.examing.ExamRecordData;

/**
 * @Description 考试记录缓存服务
 * @Author lideyin
 * @Date 2019/12/20 16:04
 * @Version 1.0
 */
public interface ExamRecordDataCacheService {

    /**
     * 保存考试记录
     *
     * @param examRecordDataId
     * @param data
     */
    void saveExamRecordDataCache(Long examRecordDataId, ExamRecordData data);

    /**
     * 获取
     *
     * @param examRecordDataId
     * @return
     */
    ExamRecordData getExamRecordDataCache(Long examRecordDataId);

}
