package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamScorePushQueue;
import cn.com.qmth.examcloud.core.oe.admin.dao.enums.ExamScoreQueueStatus;


/**
 * @author chenken
 * @date 2018年9月8日 上午10:45:36
 * @company QMTH
 * @description 分数推送队列服务接口
 */
public interface ExamScoreQueueService {

    /**
     * 处理推分队列
     */
    public void disposeScoreQueue();

    /**
     * @param errorMsg
     * @param examScorePushQueue
     */
    public void saveExamScorePushQueue(String returnMsg, ExamScorePushQueue examScorePushQueue, ExamScoreQueueStatus examScoreQueueStatus);

}
