package cn.com.qmth.examcloud.core.oe.admin.service.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import com.alibaba.fastjson.JSONArray;

import java.util.Date;

public class PracticeCourseInfo implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = 3648502707781974505L;

    private Long examId;

    private String examName;

    private String examType;

    private Long examStudentId;

    private String courseName;

    private String courseCode;

    private String studentCode;

    private String studentName;

    /**
     * 练习次数
     */
    private long practiceCount;

    /**
     * 最高正确率
     */
    private double maxObjectiveAccuracy;

    /**
     * 平均正确率
     */
    private double aveObjectiveAccuracy;

    /**
     * 最近正确率
     */
    private double recentObjectiveAccuracy;

    private Date startTime;//考试时间范围开始时间

    private Date endTime; //考试时间范围结束时间

    private Boolean examCycleEnabled;

    private JSONArray examCycleWeek;

    private JSONArray examCycleTimeRange;
    
    private Boolean showUndertaking;
    
    private String undertaking;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public long getPracticeCount() {
        return practiceCount;
    }

    public void setPracticeCount(long practiceCount) {
        this.practiceCount = practiceCount;
    }

    public double getMaxObjectiveAccuracy() {
        return maxObjectiveAccuracy;
    }

    public void setMaxObjectiveAccuracy(double maxObjectiveAccuracy) {
        this.maxObjectiveAccuracy = maxObjectiveAccuracy;
    }

    public double getAveObjectiveAccuracy() {
        return aveObjectiveAccuracy;
    }

    public void setAveObjectiveAccuracy(double aveObjectiveAccuracy) {
        this.aveObjectiveAccuracy = aveObjectiveAccuracy;
    }

    public double getRecentObjectiveAccuracy() {
        return recentObjectiveAccuracy;
    }

    public void setRecentObjectiveAccuracy(double recentObjectiveAccuracy) {
        this.recentObjectiveAccuracy = recentObjectiveAccuracy;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getExamType() {
        return examType;
    }

    public void setExamType(String examType) {
        this.examType = examType;
    }

    public Boolean getExamCycleEnabled() {
        return examCycleEnabled;
    }

    public void setExamCycleEnabled(Boolean examCycleEnabled) {
        this.examCycleEnabled = examCycleEnabled;
    }


    public JSONArray getExamCycleWeek() {
        return examCycleWeek;
    }

    public void setExamCycleWeek(JSONArray examCycleWeek) {
        this.examCycleWeek = examCycleWeek;
    }

    public JSONArray getExamCycleTimeRange() {
        return examCycleTimeRange;
    }

    public void setExamCycleTimeRange(JSONArray examCycleTimeRange) {
        this.examCycleTimeRange = examCycleTimeRange;
    }

	public Boolean getShowUndertaking() {
		return showUndertaking;
	}

	public void setShowUndertaking(Boolean showUndertaking) {
		this.showUndertaking = showUndertaking;
	}

	public String getUndertaking() {
		return undertaking;
	}

	public void setUndertaking(String undertaking) {
		this.undertaking = undertaking;
	}

    
}
