/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-08-31 09:36:00.
 * *************************************************
 */

package cn.com.qmth.examcloud.core.oe.admin.service.bean.examscore;

import cn.com.qmth.examcloud.core.oe.admin.service.bean.examstudent.ExamStudentQuery;

/**
 * 类信息转换
 *
 * @author: QMTH
 * @since: 2018/8/31
 */
public class ExamScoreEntityConvert {

    public static ExamStudentQuery of(ExamScoreQuery scoreQuery) {
        ExamStudentQuery studentQuery = new ExamStudentQuery();
        studentQuery.setPageNo(scoreQuery.getPageNo());
        studentQuery.setPageSize(scoreQuery.getPageSize());
        studentQuery.setOrgId(scoreQuery.getOrgId());
        studentQuery.setExamId(scoreQuery.getExamId());
        studentQuery.setExamStageId(scoreQuery.getExamStageId());
        studentQuery.setStudentCode(scoreQuery.getStudentCode());
        studentQuery.setStudentName(scoreQuery.getStudentName());
        studentQuery.setIdentityNumber(scoreQuery.getIdentityNumber());
        studentQuery.setCourseId(scoreQuery.getCourseId());
        studentQuery.setCourseLevel(scoreQuery.getCourseLevel());
        if (scoreQuery.getFinished() != null) {
            studentQuery.setFinished(scoreQuery.getFinished() ? 1 : 0);
        } else {
            studentQuery.setFinished(null);
        }
        studentQuery.setStartLimit(scoreQuery.getStartLimit());
        studentQuery.setEndLimit(scoreQuery.getEndLimit());
        studentQuery.setIgnoreUploadOfflineAnswer(true);
        return studentQuery;
    }

}
