package cn.com.qmth.examcloud.core.oe.admin.service.scorepushrule.cugr;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.scorepushrule.ExamScorePushRuleService;
import org.springframework.stereotype.Service;

/**
 * @author chenken
 * @date 2018年10月18日 下午4:08:51
 * @company QMTH
 * @description 地质大学（武汉）入学 orgCode:cugr.ecs.qmth.com.cn
 */
@Service("cugrExamScorePushRuleServiceImpl")
public class CugrExamScorePushRuleServiceImpl implements ExamScorePushRuleService {

    @Override
    public boolean pushScoreRule(ExamRecordDataEntity examRecordData) {
        // 违纪
        if (examRecordData.getIsIllegality()) {
            return false;
        }
        // 有警告且未审核
        if (examRecordData.getIsWarn() && !examRecordData.getIsAudit()) {
            return false;
        }
        return true;
    }

}
