package cn.com.qmth.examcloud.core.oe.admin.service.scorepushrule.cup;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.scorepushrule.ExamScorePushRuleService;
import org.springframework.stereotype.Service;

/**
 * @author chenken
 * @date 2018年10月18日 下午4:09:26
 * @company QMTH
 * @description 石油大学 orgCode:cup.ecs.qmth.com.cn
 */
@Service("cupExamScorePushRuleServiceImpl")
public class CupExamScorePushRuleServiceImpl implements ExamScorePushRuleService {

    @Override
    public boolean pushScoreRule(ExamRecordDataEntity examRecordData) {
        // 违纪
        if (examRecordData.getIsIllegality()) {
            return false;
        }
        // 有警告且未审核
        if (examRecordData.getIsWarn() && !examRecordData.getIsAudit()) {
            return false;
        }
        return true;
    }

}
